---
title: "gce/ERR/2021_004"
linkTitle: "ERR/2021_004"
weight: 1
type: docs
description: >
  Serial logs don't contain Secure Boot error messages.
---

**Product**: [Compute Engine](https://cloud.google.com/compute)\
**Rule class**: ERR - Something that is very likely to be wrong

### Description

The messages: "Security Violation" / "Binary is blacklisted" /
"UEFI: Failed to start image" / "UEFI: Failed to load image"
in serial output usually indicate that the Secure Boot doesn't pass its
pre-checks.

Google Security team may update the UEFI default dbx to implement blacklists
based on UEFI revocation list files in response to published CVEs.

### Remediation

Make sure that you don't use outdated images or images with known security issues.

### Further information

- [Secure Boot](https://cloud.google.com/compute/shielded-vm/docs/shielded-vm#secure-boot)
- [Default EUFI certificates](https://cloud.google.com/compute/shielded-vm/docs/creating-shielded-images#default_certificates)
- [UEFI revocation list file](https://www.uefi.org/revocationlistfile)
- [Security bulletins](https://cloud.google.com/compute/docs/security-bulletins)
