---
title: "gke/WARN/2022_002"
linkTitle: "WARN/2022_002"
weight: 1
type: docs
description: >
  GKE metadata concealment is not in use
---

**Product**: [Google Kubernetes Engine](https://cloud.google.com/kubernetes-engine)\
**Rule class**: WARN - Something that is possibly wrong

### Description

Metadata concealment is scheduled to be deprecated and removed in the future.
Workload Identity replaces the need to use metadata concealment and the two
approaches are incompatible. It is recommended that you use Workload Identity
instead of metadata concealment.

### Remediation

Migrate your node pools with metadata concealment enabled to node pools with
Workload Identity.

### Further information

- [Metadata concealment](https://cloud.google.com/kubernetes-engine/docs/how-to/protecting-cluster-metadata#concealment)
- [Workload Identity](https://cloud.google.com/kubernetes-engine/docs/how-to/workload-identity)
